0 Replies Latest reply on Dec 4, 2009 2:54 AM by maddec

    Flex 4 Beta 2 spark: 'loadStyleDeclarations' has been deprecated since 4.0., IStyleManager2 ?

    maddec

      Hi there,

      switching some code from Flex 4.0.0 Beta1 to Flex 4.0.0 Beta2 (build 12412), I need help to convert the following to the new syntax/approach:

       

                var myCssModuleStyleEvent:IEventDispatcher = StyleManager.loadStyleDeclarations(
                                                                      CONFIG_PATH+"fonts_glb.swf",
                                                                      true,
                                                                      true
                                                                      );
                                                                     
                myCssModuleStyleEvent.addEventListener(StyleEvent.ERROR, loadCurrPresStylesErrorHandler, false, 0, true);//BECAUSE OF OFFICIAL BUG weak reference is used here http://bugs.adobe.com/jira/browse/SDK-14699
                myCssModuleStyleEvent.addEventListener(StyleEvent.COMPLETE, loadCurrPresStylesHandler);

       

      I find nowhere my answer thank you for you help.

       

      Best Regards.

       

      maddec